:root {
  --accent-color: #EEEEEE;
  --project-card-color: #C46666;
  --tag-text-color: #222222;
}

body {
  margin: 0;
  padding: 0;
  background-image: url("resources/large-triangles.svg");
}

#page-title-container {
  position: absolute;
  top: 30vh;
  left: 0;
  right: 0;
  margin: 0 auto;
  width: fit-content;
  padding: 0;
  z-index: -1;
}

#page-title {
  font-family: cy, sans-serif;
  font-size: 4vw;
  color: var(--accent-color);
  left: 0;
  right: 0;
  margin: 0 auto;
  padding: 0;
  cursor: pointer;
  width: fit-content;
}

#short-bio {
  font-family: hero-new, sans-serif;
  font-weight: 200;
  font-size: 1.7vw;
  color: var(--accent-color);
  margin: 2vh 0 0 0;
  padding: 0;
  text-align: center;
  cursor: default;
}

.main-button {
  width: 30vw;
  height: 25vh;
  z-index: 0;
  position: absolute;
  top: 72vh;
  margin-top: 0;
  margin-right: 3vw;
  margin-bottom: 0;
  margin-left: 3vw;
  cursor: pointer;
}

.main-button-underline {
  background-color: var(--accent-color);
  width: 100%;
  height: 5%;
  z-index: 0;
  position: absolute;
  bottom: 0;
  border-radius: 5px;
  opacity: 0%;
}

.main-button-icon {
  width: auto;
  height: auto;
  max-width: 100%;
  max-height: 90%;
  position: absolute;
  bottom: 10%;
  left: 0;
  right: 0;
  margin-left: auto;
  margin-right: auto;
}

#project-cards-grid {
  display: grid;
  margin: 0 5vw 0 5vw;
  padding: 0;
  width: 90vw;
  height: 80%;
  position: absolute;
  top: 20%;
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
  grid-template-rows: 1fr 1fr;
  z-index: -1;
  opacity: 0%;
}

.project-card-container {
  width: 15vw;
  height: 15vw;
  margin: auto;
  padding: 0;
  cursor: pointer;
  transition: width 200ms, height 200ms, color 400ms;
  color: transparent;
}

.project-card-container:link {
  text-decoration: none;
}

.project-card-container:visited {
  text-decoration: none;
}

.project-card-container:hover {
  text-decoration: underline;
  color: var(--accent-color);
  width: 16vw;
  height: 16vw;
}

.project-card {
  display: grid;
  background-color: var(--project-card-color);
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  border-radius: 1vw;
  grid-template-columns: 1fr;
  grid-template-rows: 4fr 2fr 1fr;
  box-shadow: rgba(0, 0, 0, 0.09) 0px 2px 1px, rgba(0, 0, 0, 0.09) 0px 4px 2px, rgba(0, 0, 0, 0.09) 0px 8px 4px, rgba(0, 0, 0, 0.09) 0px 16px 8px, rgba(0, 0, 0, 0.09) 0px 32px 16px;
}

.project-card #title {
  display: flex;
  font-family: cy, sans-serif;
  font-size: 1.5vw;
  color: var(--accent-color);
  left: 0;
  right: 0;
  margin-left: auto;
  margin-right: auto;
  margin-top: 0;
  margin-bottom: 0;
  text-align: center;
  align-items: flex-end;
}

.project-card #version {
  display: flex;
  font-family: hero-new, sans-serif;
  font-weight: 200;
  font-size: 1vw;
  color: var(--accent-color);
  left: 0;
  right: 0;
  margin-left: auto;
  margin-right: auto;
  margin-top: 0;
  margin-bottom: 0;
  text-align: center;
  align-items: flex-start;
}

.project-card #tags-list {
  margin: 0;
  padding: 0 0.5vw 0.5vw 0.5vw;
}

.project-card #tag {
  display: inline-block;
  flex-basis: auto;
  flex-grow: 1;
  font-family: hero-new, sans-serif;
  font-weight: 400;
  font-size: 0.75vw;
  padding: 0.25vw 0.5vw 0.25vw 0.5vw;
  margin: 0.5vw 0.25vw 0 0;
  text-align: center;
  background-color: var(--accent-color);
  color: var(--tag-text-color);
  border-radius: 1vw;
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}
